Bug 478209 - MIGRATED_FROM_JIRA: New partition format
MIGRATED_FROM_JIRA: New partition format
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:08 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:08:57 EST
In Penrose 2.0 the partition format will be redesigned to mimic the WAR format. See http://en.wikipedia.org/wiki/WAR_(file_format).

Here is the content of the new partition format:
+ DIR-INF/
   + dir.xml (used to be mapping.xml)
   + connections.xml
   + sources.xml
   + modules.xml
   + classes/
      + ... class files ...
   + lib/
      + ... library files ...
+ ... supporting files ...

With this format, a partition is a self-contained directory application. It should contain all required files including JDBC drivers, custom modules, libraries, and other supporting files such as images or ldif files. This way a partition can be hot deployed to a running Penrose server without restarting the entire server.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-237',
          'assignee' => 'endisd',
          'summary' => 'New partition format',
          'id' => '10747',
          'updated' => '2007-07-31 14:52:38.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-04-07 00:00:00.0',
                             'sequence' => '28',
                             'name' => 'Penrose-2.0RC1',
                             'released' => 'true',
                             'id' => '10093',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'In Penrose 2.0 the partition format will be redesigned to mimic the WAR format. See http://en.wikipedia.org/wiki/WAR_(file_format).

Here is the content of the new partition format:
+ DIR-INF/
   + dir.xml (used to be mapping.xml)
   + connections.xml
   + sources.xml
   + modules.xml
   + classes/
      + ... class files ...
   + lib/
      + ... library files ...
+ ... supporting files ...

With this format, a partition is a self-contained directory application. It should contain all required files including JDBC drivers, custom modules, libraries, and other supporting files such as images or ldif files. This way a partition can be hot deployed to a running Penrose server without restarting the entire server.
',
          'created' => '2007-06-29 17:54:48.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:08:59 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-237

Note You need to log in before you can comment on or make changes to this bug.